#
# spec file for package nyancat
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           nyancat
Version:        1.5.2
Release:        2.12
Summary:        The flying rainbow cat rendered in a terminal
License:        NCSA
Group:          Amusements/Toys/Other
URL:            https://github.com/klange/nyancat
Source:         %{URL}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         add_destdir.patch

%description
nyancat is an animated ANSI/xterm-88 color text program that renders a loop of
the classic Nyan Cat animation. It includes a telnet server.

%prep
%autosetup -p0

%build
%make_build CFLAGS="%{optflags}"

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/*

%changelog
* Sun Jul 11 2021 Jan Engelhardt <jengelh@inai.de>
- Use proper sentences in the description.
* Mon May  3 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.5.2
  * Fix a buffer overflow by getting rid of all strcpy() calls
- Run spec-cleaner
* Fri Nov 24 2017 opensuse-packaging@opensuse.org
- Update to version 1.5.1:
  * Update README.md
  * Add NetBSD and pkgsrc.se link
  * Fix typos
  * added _DEFAULT_SOURCE to fix compilation warnings on gcc 5
  * v1.5.1
  * sb should be unsigned
  * 1.5.0
  * Adding support for the rxvt-256color terminal
* Fri Nov 24 2017 erico.mendonca@suse.com
- Initial OBS build.
